Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5103)
@@ -80,5 +80,5 @@
       real plev_min
 
-      print*,'nlev_sandu',nlev_sandu
+      PRINT*,'nlev_sandu',nlev_sandu
       plev_min = 55000.  ! pas de tendance de vap. d eau au-dessus de 55 hPa
 
@@ -118,5 +118,5 @@
        real plev_min
 
-      print*,'nlev_astex',nlev_astex
+      PRINT*,'nlev_astex',nlev_astex
        plev_min = 55000.  ! pas de tendance de vap. d eau au-dessus de 55 hPa
 
@@ -305,5 +305,5 @@
 
 !dimensions lecture
-      call catchaxis(nid,ntime,nlevel,time,lev,ierr)
+      CALL catchaxis(nid,ntime,nlevel,time,lev,ierr)
 
 !pressure 
@@ -803,5 +803,5 @@
 
       
-      print*,fich_rico
+      PRINT*,fich_rico
       open(21,file=trim(fich_rico),form='formatted')
         do k=1,llm
@@ -829,5 +829,5 @@
           endif
         enddo
-        print*,k,zlay(k)
+        PRINT*,k,zlay(k)
         ! U
         if(0 < zlay(k) .and. zlay(k) < 4000) then
@@ -962,11 +962,11 @@
 ! Check that initial day of the simulation consistent with SANDU period:
        if (annee_ref.ne.2006 ) then
-        print*,'Pour SANDUREF, annee_ref doit etre 2006 '
-        print*,'Changer annee_ref dans run.def'
+        PRINT*,'Pour SANDUREF, annee_ref doit etre 2006 '
+        PRINT*,'Changer annee_ref dans run.def'
         stop
        endif
 !      if (annee_ref.eq.2006 .and. day1.lt.day_ini_sandu) then
-!       print*,'SANDUREF debute le 15 Juillet 2006 (jour julien=196)'
-!       print*,'Changer dayref dans run.def'
+!       PRINT*,'SANDUREF debute le 15 Juillet 2006 (jour julien=196)'
+!       PRINT*,'Changer dayref dans run.def'
 !       stop
 !      endif
@@ -1003,5 +1003,5 @@
      &          -frac*(ts_sandu(it_sandu2)-ts_sandu(it_sandu1))
 
-         print*,                                                           &
+         PRINT*,                                                           &
      &'day,annee_ref,day_ini_sandu,timeit,it_sandu1,it_sandu2,SST:',       &
      &day,annee_ref,day_ini_sandu,timeit/86400.,it_sandu1,                  &
@@ -1029,5 +1029,5 @@
       integer iy,im,id,ih,in
 
-      print*,'nlev_armcu',nlev_armcu
+      PRINT*,'nlev_armcu',nlev_armcu
 
       open(21,file=trim(fich_armcu),form='formatted')
@@ -1484,11 +1484,11 @@
 ! Check that initial day of the simulation consistent with ASTEX period:
        if (annee_ref.ne.1992 ) then
-        print*,'Pour Astex, annee_ref doit etre 1992 '
-        print*,'Changer annee_ref dans run.def'
+        PRINT*,'Pour Astex, annee_ref doit etre 1992 '
+        PRINT*,'Changer annee_ref dans run.def'
         stop
        endif
        if (annee_ref.eq.1992 .and. day1.lt.day_ini_astex) then
-        print*,'Astex debute le 13 Juin 1992 (jour julien=165)'
-        print*,'Changer dayref dans run.def'
+        PRINT*,'Astex debute le 13 Juin 1992 (jour julien=165)'
+        PRINT*,'Changer dayref dans run.def'
         stop
        endif
@@ -1535,5 +1535,5 @@
      &          -frac*(vfa_astex(it_astex2)-vfa_astex(it_astex1))
 
-         print*,                                                           &
+         PRINT*,                                                           &
      &'day,annee_ref,day_ini_astex,timeit,it_astex1,it_astex2,SST:',       &
      &day,annee_ref,day_ini_astex,timeit/86400.,it_astex1,                 &
@@ -1589,16 +1589,16 @@
 ! Check that initial day of the simulation consistent with TOGA-COARE period:
        if (annee_ref.ne.1992 .and. annee_ref.ne.1993) then
-        print*,'Pour TOGA-COARE, annee_ref doit etre 1992 ou 1993'
-        print*,'Changer annee_ref dans run.def'
+        PRINT*,'Pour TOGA-COARE, annee_ref doit etre 1992 ou 1993'
+        PRINT*,'Changer annee_ref dans run.def'
         stop
        endif
        if (annee_ref.eq.1992 .and. day1.lt.day_ini_toga) then
-        print*,'TOGA-COARE a debute le 1er Nov 1992 (jour julien=306)'
-        print*,'Changer dayref dans run.def'
+        PRINT*,'TOGA-COARE a debute le 1er Nov 1992 (jour julien=306)'
+        PRINT*,'Changer dayref dans run.def'
         stop
        endif
        if (annee_ref.eq.1993 .and. day1.gt.day_ini_toga+119) then
-        print*,'TOGA-COARE a fini le 28 Feb 1993 (jour julien=59)'
-        print*,'Changer dayref ou nday dans run.def'
+        PRINT*,'TOGA-COARE a fini le 28 Feb 1993 (jour julien=59)'
+        PRINT*,'Changer dayref ou nday dans run.def'
         stop
        endif
@@ -1608,16 +1608,16 @@
 ! Check that initial day of the simulation consistent with TWP-ICE period:
        if (annee_ref.ne.2006) then
-        print*,'Pour TWP-ICE, annee_ref doit etre 2006'
-        print*,'Changer annee_ref dans run.def'
+        PRINT*,'Pour TWP-ICE, annee_ref doit etre 2006'
+        PRINT*,'Changer annee_ref dans run.def'
         stop
        endif
        if (annee_ref.eq.2006 .and. day1.lt.day_ini_toga) then
-        print*,'TWP-ICE a debute le 17 Jan 2006 (jour julien=17)'
-        print*,'Changer dayref dans run.def'
+        PRINT*,'TWP-ICE a debute le 17 Jan 2006 (jour julien=17)'
+        PRINT*,'Changer dayref dans run.def'
         stop
        endif
        if (annee_ref.eq.2006 .and. day1.gt.day_ini_toga+26) then
-        print*,'TWP-ICE a fini le 12 Feb 2006 (jour julien=43)'
-        print*,'Changer dayref ou nday dans run.def'
+        PRINT*,'TWP-ICE a fini le 12 Feb 2006 (jour julien=43)'
+        PRINT*,'Changer dayref ou nday dans run.def'
         stop
        endif
@@ -1653,5 +1653,5 @@
      &          -frac*(ts_toga(it_toga2)-ts_toga(it_toga1))
 
-!        print*,
+!        PRINT*,
 !     :'day,annee_ref,day_ini_toga,timeit,it_toga1,it_toga2,SST:',
 !     :day,annee_ref,day_ini_toga,timeit/86400.,it_toga1,it_toga2,ts_prof
@@ -1733,16 +1733,16 @@
        print *,'day_ini_dice=',day_ini_dice
        if (annee_ref.ne.1999) then
-        print*,'Pour Dice, annee_ref doit etre 1999'
-        print*,'Changer annee_ref dans run.def'
+        PRINT*,'Pour Dice, annee_ref doit etre 1999'
+        PRINT*,'Changer annee_ref dans run.def'
         stop
        endif
        if (annee_ref.eq.1999 .and. day1.gt.day_ini_dice) then
-        print*,'Dice a debute le 23 Oct 1999 (jour julien=296)'
-        print*,'Changer dayref dans run.def',day1,day_ini_dice
+        PRINT*,'Dice a debute le 23 Oct 1999 (jour julien=296)'
+        PRINT*,'Changer dayref dans run.def',day1,day_ini_dice
         stop
        endif
        if (annee_ref.eq.1999 .and. day1.gt.day_ini_dice+2) then
-        print*,'Dice a fini le 25 Oct 1999 (jour julien=298)'
-        print*,'Changer dayref ou nday dans run.def',day1,day_ini_dice
+        PRINT*,'Dice a fini le 25 Oct 1999 (jour julien=298)'
+        PRINT*,'Changer dayref ou nday dans run.def',day1,day_ini_dice
         stop
        endif
@@ -1784,5 +1784,5 @@
        vg_prof = vg_dice(it_dice2)-frac*(vg_dice(it_dice2)-vg_dice(it_dice1))
 
-!        print*,
+!        PRINT*,
 !     :'day,annee_ref,day_ini_dice,timeit,it_dice1,it_dice2,SST:',
 !     :day,annee_ref,day_ini_dice,timeit/86400.,it_dice1,it_dice2,ts_prof
@@ -1841,16 +1841,16 @@
        print *,'day_ini_gabls4=',day_ini_gabls4
        if (annee_ref.ne.2009) then
-        print*,'Pour gabls4, annee_ref doit etre 2009'
-        print*,'Changer annee_ref dans run.def'
+        PRINT*,'Pour gabls4, annee_ref doit etre 2009'
+        PRINT*,'Changer annee_ref dans run.def'
         stop
        endif
        if (annee_ref.eq.2009 .and. day1.gt.day_ini_gabls4) then
-        print*,'gabls4 a debute le 11 dec 2009 (jour julien=345)'
-        print*,'Changer dayref dans run.def',day1,day_ini_gabls4
+        PRINT*,'gabls4 a debute le 11 dec 2009 (jour julien=345)'
+        PRINT*,'Changer dayref dans run.def',day1,day_ini_gabls4
         stop
        endif
        if (annee_ref.eq.2009 .and. day1.gt.day_ini_gabls4+2) then
-        print*,'gabls4 a fini le 12 dec 2009 (jour julien=346)'
-        print*,'Changer dayref ou nday dans run.def',day1,day_ini_gabls4
+        PRINT*,'gabls4 a fini le 12 dec 2009 (jour julien=346)'
+        PRINT*,'Changer dayref ou nday dans run.def',day1,day_ini_gabls4
         stop
        endif
@@ -1921,6 +1921,6 @@
 ! Check that initial day of the simulation consistent with ARMCU period:
        if (annee_ref.ne.1997 ) then
-        print*,'Pour ARMCU, annee_ref doit etre 1997 '
-        print*,'Changer annee_ref dans run.def'
+        PRINT*,'Pour ARMCU, annee_ref doit etre 1997 '
+        PRINT*,'Changer annee_ref dans run.def'
         stop
        endif
@@ -1958,5 +1958,5 @@
      &          -frac*(aqt_armcu(it_armcu2)-aqt_armcu(it_armcu1))
 
-         print*,                                                           &
+         PRINT*,                                                           &
      &'day,annee_ref,day_ini_armcu,timeit,it_armcu1,it_armcu2,SST:',       &
      &day,annee_ref,day_ini_armcu,timeit/86400.,it_armcu1,                 &
@@ -1975,5 +1975,5 @@
 
         integer nlev_max,kmax,kmax2,ntrac
-        logical :: llesread = .true.
+        logical :: llesread = .TRUE.
 
         real height(nlev_max),thlprof(nlev_max),qtprof(nlev_max),          &
@@ -2022,5 +2022,5 @@
        open(ilesfile,file='trac.inp.001',status='old',iostat=ierr)
         if (ierr /= 0) then
-            print*,'WARNING : trac.inp does not exist'
+            PRINT*,'WARNING : trac.inp does not exist'
         else
         read (ilesfile,*) kmax2,nt1,nt2
@@ -2048,5 +2048,5 @@
 
         integer nlev_max,kmax
-        logical :: llesread = .true.
+        logical :: llesread = .TRUE.
 
         real height(nlev_max),pprof(nlev_max),tprof(nlev_max)
@@ -2080,5 +2080,5 @@
 
         integer nlev_max,kmax
-        logical :: llesread = .true.
+        logical :: llesread = .TRUE.
 
         real height(nlev_max),pprof(nlev_max),tprof(nlev_max),             &
@@ -2114,5 +2114,5 @@
 
         integer nlev_max,kmax
-        logical :: llesread = .true.
+        logical :: llesread = .TRUE.
 
         real height(nlev_max),pprof(nlev_max),tprof(nlev_max)
@@ -2277,5 +2277,5 @@
       endif
 !dimensions lecture
-!      call catchaxis(nid,ntime,nlevel,time,z,ierr)
+!      CALL catchaxis(nid,ntime,nlevel,time,z,ierr)
  
          ierr = nf90_get_var(nid,var3didin(1),zz)
@@ -2547,5 +2547,5 @@
       endif
 !dimensions lecture
-!      call catchaxis(nid,ntime,nlevel,time,z,ierr)
+!      CALL catchaxis(nid,ntime,nlevel,time,z,ierr)
  
          ierr = nf90_get_var(nid,var3didin(1),zz)
@@ -2842,5 +2842,5 @@
 
 !dimensions lecture
-!      call catchaxis(nid,ntime,nlevel,time,z,ierr)
+!      CALL catchaxis(nid,ntime,nlevel,time,z,ierr)
  
          ierr = nf90_get_var(nid,var3didin(1),zz_i)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_decl_cases.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_decl_cases.h	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_decl_cases.h	(revision 5103)
@@ -225,5 +225,5 @@
         parameter (day_ini_sandu=15)  ! 196 = 15 juillet 2006
         real dt_sandu, tau_sandu
-        logical  :: trouve_700=.true.
+        logical  :: trouve_700=.TRUE.
         parameter (dt_sandu=6.*3600.)   ! forcages donnes ttes les 6 heures par ifa_sandu.txt
         parameter (tau_sandu=30000*3600.)  ! temps de relaxation u,v,thetal,qt vers profil init et au dessus 700hPa
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_interp_cases.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_interp_cases.h	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_interp_cases.h	(revision 5103)
@@ -16,5 +16,5 @@
       if (forcing_GCSSold) then
 
-       call get_uvd(it,timestep,fich_gcssold_ctl,fich_gcssold_dat,              &
+       CALL get_uvd(it,timestep,fich_gcssold_ctl,fich_gcssold_dat,              &
      &               ht_gcssold,hq_gcssold,hw_gcssold,                          &
      &               hu_gcssold,hv_gcssold,                                     &
@@ -50,5 +50,5 @@
 
        if (prt_level.ge.1) then
-        print*,                                                             &
+        PRINT*,                                                             &
      & '#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_toga=',     &
      &    day,day1,(day-day1)*86400.,(day-day1)*86400/dt_toga
@@ -96,5 +96,5 @@
 
        if (prt_level.ge.1) then
-        print*,'#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_dice=',&
+        PRINT*,'#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_dice=',&
      &    day,day1,(day-day1)*86400.,(day-day1)*86400/dt_dice
        endif
@@ -197,5 +197,5 @@
 
        if (prt_level.ge.1) then
-        print*,'#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_gabls4=',&
+        PRINT*,'#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_gabls4=',&
      &    day,day1,(day-day1)*86400.,(day-day1)*86400/dt_gabls4
        endif
@@ -238,5 +238,5 @@
       if (forcing_twpice) then
 
-        print*,                                                             &
+        PRINT*,                                                             &
      & '#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_twpi=',     &
      &    daytime,day1,(daytime-day1)*86400.,                               &
@@ -316,7 +316,7 @@
         if (cptadvw) then
         d_t_adv(l) = alpha*omega(l)/rcpd+ht_mod(l)-d_t_dyn_z(l)
-!        print*,'temp vert adv',l,ht_mod(l),vt_mod(l),-d_t_dyn_z(l)
+!        PRINT*,'temp vert adv',l,ht_mod(l),vt_mod(l),-d_t_dyn_z(l)
         d_q_adv(l,1) = hq_mod(l)-d_q_dyn_z(l)
-!        print*,'q vert adv',l,hq_mod(l),vq_mod(l),-d_q_dyn_z(l)
+!        PRINT*,'q vert adv',l,hq_mod(l),vq_mod(l),-d_q_dyn_z(l)
         else
         d_t_adv(l) = alpha*omega(l)/rcpd+(ht_mod(l)+vt_mod(l))
@@ -335,5 +335,5 @@
        if (forcing_amma) then
 
-        print*,                                                             &
+        PRINT*,                                                             &
      & '#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_amma=',     &
      &    daytime,day1,(daytime-day1)*86400.,                               &
@@ -347,5 +347,5 @@
      &       ,sens_profamma)
 
-      print*,'apres interpolation temporelle AMMA'
+      PRINT*,'apres interpolation temporelle AMMA'
 
       do k=1,nlev_amma
@@ -397,8 +397,8 @@
      &         ht_mod(l)*(play(l)/pzero)**rkappa-omega(l)*d_t_z(l)
 !        d_t_adv(l) = 0.
-!        print*,'temp vert adv',l,ht_mod(l),vt_mod(l),-d_t_dyn_z(l)
+!        PRINT*,'temp vert adv',l,ht_mod(l),vt_mod(l),-d_t_dyn_z(l)
         d_q_adv(l,1) = hq_mod(l)-omega(l)*d_q_z(l)
 !        d_q_adv(l,1) = 0.
-!        print*,'q vert adv',l,hq_mod(l),vq_mod(l),-d_q_dyn_z(l)
+!        PRINT*,'q vert adv',l,hq_mod(l),vq_mod(l),-d_q_dyn_z(l)
    
        dt_cooling(l) = 0.0
@@ -406,5 +406,5 @@
 
 
-!     ok_flux_surf=.false.
+!     ok_flux_surf=.FALSE.
       fsens=-1.*sens_profamma
       flat=-1.*lat_profamma
@@ -417,6 +417,6 @@
 !---------------------------------------------------------------------
       if (forcing_rico) then
-!      call lstendH(llm,omega,dt_dyn,dq_dyn,du_dyn, dv_dyn,q,temp,u,v,play)
-       call lstendH(llm,nqtot,omega,dt_dyn,dq_dyn,q,temp,u,v,play)
+!      CALL lstendH(llm,omega,dt_dyn,dq_dyn,du_dyn, dv_dyn,q,temp,u,v,play)
+       CALL lstendH(llm,nqtot,omega,dt_dyn,dq_dyn,q,temp,u,v,play)
 
         do l=1,llm
@@ -432,5 +432,5 @@
       if (forcing_armcu) then
 
-        print*,                                                             &
+        PRINT*,                                                             &
      & '#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_armcu=',    &
      &    day,day1,(day-day1)*86400.,(day-day1)*86400/dt_armcu
@@ -488,5 +488,5 @@
       if (forcing_sandu) then
 
-        print*,                                                             &
+        PRINT*,                                                             &
      & '#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_sandu=',    &
      &    day,day1,(day-day1)*86400.,(day-day1)*86400/dt_sandu 
@@ -558,7 +558,7 @@
 !calcul de l'advection verticale
         d_t_adv(l) = alpha*omega(l)/rcpd-d_t_dyn_z(l)
-!        print*,'temp adv',l,-d_t_dyn_z(l)
+!        PRINT*,'temp adv',l,-d_t_dyn_z(l)
         d_q_adv(l,1) = -d_q_dyn_z(l)
-!        print*,'q adv',l,-d_q_dyn_z(l)
+!        PRINT*,'q adv',l,-d_q_dyn_z(l)
        dt_cooling(l) = 0.0
       enddo
@@ -570,5 +570,5 @@
       if (forcing_astex) then
 
-        print*,                                                             &
+        PRINT*,                                                             &
      & '#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_astex=',    &
      &    day,day1,(day-day1)*86400.,(day-day1)*86400/dt_astex
@@ -640,7 +640,7 @@
 !calcul de l'advection verticale
         d_t_adv(l) = alpha*omega(l)/rcpd-d_t_dyn_z(l)
-!        print*,'temp adv',l,-d_t_dyn_z(l)
+!        PRINT*,'temp adv',l,-d_t_dyn_z(l)
         d_q_adv(l,1) = -d_q_dyn_z(l)
-!        print*,'q adv',l,-d_q_dyn_z(l)
+!        PRINT*,'q adv',l,-d_q_dyn_z(l)
        dt_cooling(l) = 0.0
       enddo
@@ -653,7 +653,7 @@
       if (forcing_case) then
 
-         print*,'FORCING CASE forcing_case'
-
-        print*,                                                             &
+         PRINT*,'FORCING CASE forcing_case'
+
+        PRINT*,                                                             &
      & '#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/pdt_cas=',     &
      &    daytime,day1,(daytime-day1)*86400.,                               &
@@ -826,6 +826,6 @@
       if (forcing_case2 .OR. forcing_SCM) then
 
-         print*,'FORCING CASE forcing_case2'
-        print*,                                                             &
+         PRINT*,'FORCING CASE forcing_case2'
+        PRINT*,                                                             &
      & '#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/pdt_cas=',     &
      &    daytime,day1,(daytime-day1)*86400.,                               &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_read_forc_cases.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_read_forc_cases.h	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_read_forc_cases.h	(revision 5103)
@@ -19,5 +19,5 @@
 !----------------------------------------------------------------------
       fich_fire='fire.nc'
-      call read_fire(fich_fire,nlev_fire,nt_fire                                &
+      CALL read_fire(fich_fire,nlev_fire,nt_fire                                &
      &     ,height,tttprof,qtprof,uprof,vprof,e12prof                           &
      &     ,ugprof,vgprof,wfls,dqtdxls                                          &
@@ -31,5 +31,5 @@
 !----------------------------------------------------------------------
 
-      call readprofiles(nlev_max,kmax,nqtot,height,                             &
+      CALL readprofiles(nlev_max,kmax,nqtot,height,                             &
      &           tttprof,qtprof,uprof,vprof,                                    &
      &           e12prof,ugprof,vgprof,                                         &
@@ -78,5 +78,5 @@
           print *,'k l height(k) height(k-1) zlay(l) frac=',k,l,height(k),height(k-1),zlay(l),frac
           frac = (height(k)-zlay(l))/(height(k)-height(k-1))
-          if(l==1) print*,'k, height, tttprof',k,height(k),tttprof(k)
+          if(l==1) PRINT*,'k, height, tttprof',k,height(k),tttprof(k)
           if(zlay(l)>height(k-1).and.zlay(l)<height(k)) then
             ttt =tttprof(k)-frac*(tttprof(k)-tttprof(k-1))
@@ -145,6 +145,6 @@
        fich_gcssold_ctl = './forcing.ctl'
        fich_gcssold_dat = './forcing8.dat'
-       call copie(llm,play,psurf,fich_gcssold_ctl)
-       call get_uvd2(it,timestep,fich_gcssold_ctl,fich_gcssold_dat,         &
+       CALL copie(llm,play,psurf,fich_gcssold_ctl)
+       CALL get_uvd2(it,timestep,fich_gcssold_ctl,fich_gcssold_dat,         &
      &               ht_gcssold,hq_gcssold,hw_gcssold,                      &
      &               hu_gcssold,hv_gcssold,                                 &
@@ -160,10 +160,10 @@
       if (forcing_rico) then
 
-!       call writefield_phy('omega', omega,llm+1)
+!       CALL writefield_phy('omega', omega,llm+1)
       fich_rico = 'rico.txt'
-       call read_rico(fich_rico,nlev_rico,ps_rico,play                      &
+       CALL read_rico(fich_rico,nlev_rico,ps_rico,play                      &
      &             ,ts_rico,t_rico,q_rico,u_rico,v_rico,w_rico              &
      &             ,dth_rico,dqh_rico)
-        print*, ' on a lu et prepare RICO'
+        PRINT*, ' on a lu et prepare RICO'
 
        mxcalc=llm
@@ -242,5 +242,5 @@
 !read TWP-ICE forcings
      fich_twpice='d_twpi/twp180iopsndgvarana_v2.1_C3.c1.20060117.000000.cdf'
-      call read_twpice(fich_twpice,nlev_twpi,nt_twpi                        &
+      CALL read_twpice(fich_twpice,nlev_twpi,nt_twpi                        &
      &     ,ts_twpi,plev_twpi,t_twpi,q_twpi,u_twpi,v_twpi,w_twpi            &
      &     ,ht_twpi,vt_twpi,hq_twpi,vq_twpi)
@@ -295,5 +295,5 @@
       if (forcing_amma) then
 
-      call read_1D_cases
+      CALL read_1D_cases
 
       write(*,*) 'Forcing AMMA lu'
@@ -352,5 +352,5 @@
       
 
-!     ok_flux_surf=.false.
+!     ok_flux_surf=.FALSE.
       fsens=-1.*sens_amma(12)
       flat=-1.*lat_amma(12)
@@ -367,5 +367,5 @@
 !read DICE forcings
       fich_dice='dice_driver.nc'
-      call read_dice(fich_dice,nlev_dice,nt_dice                    &
+      CALL read_dice(fich_dice,nlev_dice,nt_dice                    &
      &     ,zz_dice,plev_dice,t_dice,qv_dice,u_dice,v_dice,o3_dice &
      &     ,shf_dice,lhf_dice,lwup_dice,swup_dice,tg_dice,ustar_dice& 
@@ -453,5 +453,5 @@
       
 
-!     ok_flux_surf=.false.
+!     ok_flux_surf=.FALSE.
       fsens=-1.*shf_dice(1)
       flat=-1.*lhf_dice(1)
@@ -485,5 +485,5 @@
       
        	
-      call read_gabls4(fich_gabls4,nlev_gabls4,nt_gabls4,nsol_gabls4,zz_gabls4,depth_sn_gabls4,ug_gabls4,vg_gabls4 &
+      CALL read_gabls4(fich_gabls4,nlev_gabls4,nt_gabls4,nsol_gabls4,zz_gabls4,depth_sn_gabls4,ug_gabls4,vg_gabls4 &
      & ,plev_gabls4,th_gabls4,t_gabls4,qv_gabls4,u_gabls4,v_gabls4,ht_gabls4,hq_gabls4,tg_gabls4,tsnow_gabls4,snow_dens_gabls4)
 
@@ -611,5 +611,5 @@
 !----------------------------------------------------------------------
 
-      call readprofile_armcu(nlev_max,kmax,height,play_mod,u_mod,           &
+      CALL readprofile_armcu(nlev_max,kmax,height,play_mod,u_mod,           &
      &           v_mod,theta_mod,t_mod,qv_mod,rv_mod,ap,bp)
 
@@ -702,5 +702,5 @@
 !----------------------------------------------------------------------
 
-      call readprofile_sandu(nlev_max,kmax,height,plev_profs,t_profs,       &
+      CALL readprofile_sandu(nlev_max,kmax,height,plev_profs,t_profs,       &
      &           thl_profs,q_profs,u_profs,v_profs,                         &
      &           w_profs,omega_profs,o3mmr_profs)
@@ -777,5 +777,5 @@
 !----------------------------------------------------------------------
 
-      call readprofile_astex(nlev_max,kmax,height,plev_profa,t_profa,       &
+      CALL readprofile_astex(nlev_max,kmax,height,plev_profa,t_profa,       &
      &           thl_profa,qv_profa,ql_profa,qt_profa,u_profa,v_profa,      &
      &           w_profa,tke_profa,o3mmr_profa)
@@ -841,6 +841,6 @@
       if (forcing_case) then
 
-         write(*,*) 'avant call read_1D_cas'
-         call read_1D_cas
+         write(*,*) 'avant CALL read_1D_cas'
+         CALL read_1D_cas
          write(*,*) 'Forcing read'
 
@@ -916,6 +916,6 @@
       if (forcing_case2) then
 
-         write(*,*) 'avant call read2_1D_cas'
-         call read2_1D_cas
+         write(*,*) 'avant CALL read2_1D_cas'
+         CALL read2_1D_cas
          write(*,*) 'Forcing read'
 
@@ -1015,6 +1015,6 @@
       if (forcing_SCM) then
 
-         write(*,*) 'avant call old_read_SCM_cas'
-         call old_read_SCM_cas
+         write(*,*) 'avant CALL old_read_SCM_cas'
+         CALL old_read_SCM_cas
          write(*,*) 'Forcing read' 
 
